This commit is contained in:
Oleg Sheynin 2025-02-03 20:18:59 -05:00
parent 4e41960cc4
commit 27153fcd3c
32 changed files with 17 additions and 740 deletions

View File

@ -1 +1 @@
0.2.1,relative liquidity loads via http
0.2.2,relative liquidity loads via http

View File

@ -1,74 +0,0 @@
#!/bin/bash
echo "Script $0 does not work yet. Aborted" && exit
function usage {
echo "Usage: ${0} <app_path (e.g. market_data/md_recorder_monitor)> <version>"
exit
}
AppPath=${1}
CvttpyVersion=${2}
if [ "${AppPath}" == "" ]
then
usage
fi
# --- Settings
DockerDir=$(realpath $(dirname ${0})/${AppPath})
RootDir=$(realpath $(dirname ${0})/..)
RegistryService=cloud21.cvtt.vpn:5500
AppName=$(basename ${AppPath})
ImageName=${AppName}
ImageDir=${HOME}/docker_images
mkdir -p ${ImageDir}
Version=$(cat ${RootDir}/cvttpy/VERSION | awk -F, '{print $1}')
cd ${RootDir}
# Create a new builder instance
Cmd="docker buildx create --name ${AppName}_builder"
echo ${Cmd}
eval ${Cmd} || exit
# Switch to the newly created builder
Cmd="docker buildx use ${AppName}_builder"
echo ${Cmd}
eval ${Cmd}
# Ensure buildx is bootstrapped
Cmd="docker buildx inspect ${AppName}_builder --bootstrap"
echo ${Cmd}
eval ${Cmd}
# Build the image using buildx, tagging with both 'latest' and the version number, and pushing directly
Cmd="docker buildx build --platform linux/amd64,linux/arm64 -t ${ImageName}:latest -t ${ImageName}:${Version} -f ${DockerDir}/Dockerfile . --push"
echo ${Cmd}
eval ${Cmd}
# Tagging the images with the registry
Cmd="docker tag ${ImageName}:latest ${RegistryService}/${ImageName}:latest"
echo ${Cmd}
eval ${Cmd}
Cmd="docker tag ${ImageName}:${Version} ${RegistryService}/${ImageName}:${Version}"
echo ${Cmd}
eval ${Cmd}
# Push the images to the registry
Cmd="docker push ${RegistryService}/${ImageName}:latest"
echo ${Cmd}
eval ${Cmd}
Cmd="docker push ${RegistryService}/${ImageName}:${Version}"
echo ${Cmd}
eval ${Cmd}
# Optionally, remove the builder to clean up
Cmd="docker buildx rm ${AppName}_builder"
echo ${Cmd}
eval ${Cmd}

View File

@ -0,0 +1,10 @@
{
"__dummy": null
, "INFISICAL": {
"url": "https://infisical.cvtt.net"
, "client_id": "e330a1c4-08dc-452f-ac02-5b37fff4ab3e"
, "client_secret": "190554828c3c342f63517320ac029f822b6358aa6187aec266465d0bde4d6b3c"
, "workspace_id": "6923c950-8473-4cec-818f-10df41d8b39c"
, "environment": "dev"
}
}

View File

@ -1,7 +1,10 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/market_data/relative_liquidity
WORKDIR /
COPY docker_dev/market_data/relative_liquidity/requirements.txt /requirements.txt
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/requirements.txt /requirements.txt
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
@ -16,7 +19,8 @@ CMD [ \
"python3.12", \
"cvttpy/apps/md/rel_lqdt_server.py", \
"--config=http://cloud16.cvtt.vpn:6789/apps/minimal_md_eqt", \
"--credentials_file=/.creds", \
"--port=5678", \
"--db_file=/app/data/rel_liquidity.db", \
"--log_file=/logs/%T.REL_LIQUIDITY_SVC.log" \
"--log_file=/logs/%D.REL_LIQUIDITY_SVC.log" \
]

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,24 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/executor
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_executor.sh /run_executor.sh
RUN chmod +x /run_executor.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_executor.sh" ]

View File

@ -1,6 +0,0 @@
aiohttp>=3.7.4.post0
redis>=5.0.8
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
pandas>=1.5.3

View File

@ -1,53 +0,0 @@
#!/bin/bash
# runs in container
# runs on host to start container
usage() {
echo -n "Usage: $0"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7222)>"]
echo -n " [-z (compress log)"]
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
ActiveExchanges=ALPACA_SNDBX
AdminPort=7222
COMPRESS_LOG=false
while getopts "c:e:a:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
Cmd="python3.12"
Cmd="${Cmd} /cvttpy/apps/executor_app.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
# Cmd="${Cmd} --allow_dynamic_exch_inst"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.EXECUTOR_APP.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,23 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/md_portal
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_md_portal.sh /run_md_portal.sh
RUN chmod +x /run_md_portal.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_md_portal.sh" ]

View File

@ -1,7 +0,0 @@
aiohttp>=3.7.4.post0
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
redis>=5.0.8
python-dateutil>=2.8.2
types-python-dateutil>=2.8.19.6

View File

@ -1,56 +0,0 @@
#!/bin/bash
# runs in container
# runs on host to start container
usage() {
echo -n "Usage: ${0}"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNBOX)>]"
echo -n " [-a <admin_port (7220)>]"
echo -n " [-n <portal_name (MD_PORTAL_ALPACA)>]"
echo -n " [-z (compress log)"]
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
ActiveExchanges=ALPACA_SNDBX
PortalName=MD_PORTAL_ALPACA_SNDBX
AdminPort=7220
COMPRESS_LOG=false
while getopts "c:e:a:n:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
n ) PortalName=$OPTARG ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/md/md_portal.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --portal_name=${PortalName}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.${PortalName}.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,24 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/quant
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_quant.sh /run_quant.sh
RUN chmod +x /run_quant.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_quant.sh" ]

View File

@ -1,11 +0,0 @@
aiohttp>=3.7.4.post0
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
pandas>=1.5.3
#
ta>=0.10.2
tables>=3.9.1
psycopg>=3.2.1
#
redis>=5.0.8

View File

@ -1,66 +0,0 @@
#!/bin/bash
# runs on host to start container
usage() {
echo -n "Usage: $0"
echo -n " -b <book>"
echo -n " -S <strategy> (dflt: TRDALGO_001)"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7224)>"]
echo -n " [-z (compress log)"]
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
ActiveExchanges=ALPACA_SNDBX-MDPORTAL
AdminPort=7224
Strategy=DAILY_STOCK_001
Book=""
COMPRESS_LOG=false
while getopts "b:c:e:a:S:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
b ) Book=$OPTARG ;;
S ) Strategy=$OPTARG ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/quant_app.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --book=${Book}"
Cmd="${Cmd} --strategy=${Strategy}"
# Cmd="${Cmd} --allow_dynamic_exch_inst"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.QUANT.${Book}.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,23 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/risk_mgr
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_risk_mgr.sh /run_risk_mgr.sh
RUN chmod +x /run_risk_mgr.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_risk_mgr.sh" ]

View File

@ -1,15 +0,0 @@
aiohttp>=3.7.4.post0
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
pandas>=1.5.3
#
redis>=5.0.8
#
python-dateutil>=2.8.2
types-python-dateutil>=2.8.19.6
#
psycopg>=3.2.1
psycopg-binary>=3.2.1
psycopg2-binary>=2.9.6

View File

@ -1,64 +0,0 @@
#!/bin/bash
# runs in container
# runs on host to start container
usage() {
echo -n "Usage: $0"
echo -n " -b <book>"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7223)>"]
echo -n " [-z (compress log)"]
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
ActiveExchanges=ALPACA_SNDBX-MDPORTAL
AdminPort=7223
Book=""
COMPRESS_LOG=false
while getopts "b:c:e:a:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
b ) Book=$OPTARG ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/risk_manager_app.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --book=${Book}"
# Cmd="${Cmd} --allow_dynamic_exch_inst"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.RISK_MGR.${Book}.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

View File

@ -1,26 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/service_checker
RUN apt-get update && apt-get install -y telnet redis-tools
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_svc_checker.sh /run_svc_checker.sh
RUN chmod +x /run_svc_checker.sh
# RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_svc_checker.sh" ]
# ENTRYPOINT [ "/usr/bin/bash" ]

View File

@ -1,7 +0,0 @@
aiohttp>=3.7.4.post0
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
redis>=5.0.8
python-dateutil>=2.8.2
types-python-dateutil>=2.8.19.6

View File

@ -1,41 +0,0 @@
#!/bin/bash
# runs in container
# runs on host to start container
usage() {
echo -n "Usage: ${0}"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
while getopts ":c:" opt; do
case ${opt} in
c )
Config=$OPTARG
;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/utils/services_checker.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --log_level=ERROR"
echo ${Cmd}
eval ${Cmd}

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,24 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/trader
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_trader.sh /run_trader.sh
RUN chmod +x /run_trader.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_trader.sh" ]

View File

@ -1,6 +0,0 @@
aiohttp>=3.7.4.post0
redis>=5.0.8
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
pandas>=1.5.3

View File

@ -1,71 +0,0 @@
#!/bin/bash
# runs in container
# --------------------------------------------------------------------------
# runs on host to start container
usage() {
echo -n "Usage: $0"
echo -n " -b <book>"
echo -n " -A <algo> (dflt: TRDALGO_001)"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7223)>"]
echo -n " [-z (compress log)"]
echo
exit 1
}
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
ActiveExchanges=ALPACA_SNDBX-MDPORTAL
AdminPort=7226
Algo=TRDALGO_001
Book=""
COMPRESS_LOG=false
while getopts "b:c:e:a:A:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
b ) Book=$OPTARG ;;
A ) Algo=$OPTARG ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/trader_app.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --book=${Book}"
Cmd="${Cmd} --algo=${Algo}"
# Cmd="${Cmd} --allow_dynamic_exch_inst"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.TRADER.${Book}.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

View File

@ -1,3 +0,0 @@
.git
**/__pycache__
.pipenv

View File

@ -1,23 +0,0 @@
FROM python:3.12-slim
ARG FROM_DIR=docker_dev/trading/trading_recorder
COPY ${FROM_DIR}/requirements.txt /
RUN pip install --upgrade pip --root-user-action=ignore
RUN pip install -r /requirements.txt --root-user-action=ignore
COPY cvttpy /cvttpy
COPY ${FROM_DIR}/.creds /.creds
COPY ${FROM_DIR}/run_trading_recorder.sh /run_trading_recorder.sh
RUN chmod +x /run_trading_recorder.sh
RUN mkdir /logs
WORKDIR /
SHELL ["/bin/bash", "-c"]
ENV PYTHONPATH=/
ENTRYPOINT [ "/run_trading_recorder.sh" ]

View File

@ -1,15 +0,0 @@
aiohttp>=3.7.4.post0
nest-asyncio>=1.5.5
hjson>=3.1.0
sortedcontainers>=2.4.0
pandas>=1.5.3
#
redis>=5.0.8
#
python-dateutil>=2.8.2
types-python-dateutil>=2.8.19.6
#
psycopg>=3.2.1
psycopg-binary>=3.2.1
psycopg2-binary>=2.9.6

View File

@ -1,60 +0,0 @@
#!/bin/bash
# runs on host to start container
usage() {
echo -n "Usage: $0"
echo -n " -b <book>"
echo -n " [-c <config (dflt: http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca)>]"
echo -n " [-e <active_exchanges (ALPACA_SNDBX-MDPORTAL)>]"
echo -n " [-a <admin_port (7223)>"]
echo -n " [-z (compress log)"]
echo
exit 1
}
ActiveExchanges=ALPACA_SNDBX-MDPORTAL
AdminPort=7225
Book=""
Config=http://cloud16.cvtt.vpn:6789/apps/cvtt_eqt_alpaca
COMPRESS_LOG=false
while getopts "b:c:e:a:z" opt; do
case ${opt} in
c ) Config=$OPTARG ;;
e ) ActiveExchanges=$OPTARG ;;
a ) AdminPort=$OPTARG ;;
z ) COMPRESS_LOG=true ;;
b ) Book=$OPTARG ;;
\? )
echo "Invalid option: -$OPTARG" >&2
usage
;;
: )
echo "Option -$OPTARG requires an argument." >&2
usage
;;
esac
done
if [ "${Book}" == "" ]; then
echo "Book is missing"
usage
fi
Cmd="python3.12"
Cmd="${Cmd} cvttpy/apps/trade_recorder.py"
Cmd="${Cmd} --config=${Config}"
Cmd="${Cmd} --credentials_file=/.creds"
Cmd="${Cmd} --book=${Book}"
# Cmd="${Cmd} --allow_dynamic_exch_inst"
Cmd="${Cmd} --active_exchanges=${ActiveExchanges}"
Cmd="${Cmd} --admin_port=${AdminPort}"
Cmd="${Cmd} --log_file=/logs/%T.TRADING_RECORDER.${Book}.log"
if ${COMPRESS_LOG}; then
Cmd="${Cmd} --compress_log"
fi
echo ${Cmd}
eval ${Cmd}

BIN
trading_DEPRECATED.tgz Normal file

Binary file not shown.